/*  SciGraphica - Scientific graphics and data manipulation
 *  Copyright (C) 2001 Adrian E. Feiguin <feiguin@ifir.edu.ar>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "../pixmaps/zoom_plus.xpm"
#include "../pixmaps/zoom_minus.xpm"
#include "../pixmaps/markers.xpm"

/* XPM */
static char * target[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ...                      ...  ",
"  ...                      ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ..................  ...  ",
"  ...  ..................  ...  ",
"  ...        ......        ...  ",
"  ...        ......        ...  ",
"  ...  ..................  ...  ",
"  ...  ..................  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...                      ...  ",
"  ...                      ...  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * zoom[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ........................ ...  ",
"  .......................   ..  ",
"  ......................     .  ",
"  .....................     ..  ",
"  ....................     ...  ",
"  ...................     ....  ",
"  ..................     .....  ",
"  .................     ......  ",
"  .......     ....     .......  ",
"  .....         ..    ........  ",
"  ....   .....       .........  ",
"  ....  .......    ...........  ",
"  ...  .........  ............  ",
"  ...  .........  ............  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ...  .........  ............  ",
"  ...  .........  ............  ",
"  ....  .......  .............  ",
"  ....   .....   .............  ",
"  .....         ..............  ",
"  .......     ................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * arrow[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ......  ....................  ",
"  ......    ..................  ",
"  .......     ................  ",
"  .......       ..............  ",
"  ........        ............  ",
"  ........          ..........  ",
"  .........           ........  ",
"  .........             ......  ",
"  ..........            ......  ",
"  ..........         .........  ",
"  ...........         ........  ",
"  ...........          .......  ",
"  ............          ......  ",
"  ............   .     .......  ",
"  .............  ..   ........  ",
"  .............  ... .........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * text[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ......                ......  ",
"  ......                ......  ",
"  ......  ....    ....  ......  ",
"  ...... .....    ..... ......  ",
"  ...... .....    ..... ......  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ...........      ...........  ",
"  .........          .........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * arrow_up_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  .............  .............  ",
"  ............    ............  ",
"  ...........      ...........  ",
"  ..........   ..   ..........  ",
"  .........   ....   .........  ",
"  ........   ......   ........  ",
"  .......   ........   .......  ",
"  ......   ..........   ......  ",
"  .....   ............   .....  ",
"  ....   ..............   ....  ",
"  ...   ................   ...  ",
"  ..       ..........       ..  ",
"  ..       ..........       ..  ",
"  .......  ..........  .......  ",
"  .......  ..........  .......  ",
"  .......  ..........  .......  ",
"  .......  ..........  .......  ",
"  .......              .......  ",
"  .......              .......  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * arrow_down_xpm[] = {
"32 32 3 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"................................",
"................................",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..+++++++..............+++++++..",
"..+++++++..............+++++++..",
"..+++++++..++++++++++..+++++++..",
"..+++++++..++++++++++..+++++++..",
"..+++++++..++++++++++..+++++++..",
"..+++++++..++++++++++..+++++++..",
"..++.......++++++++++.......++..",
"..++.......++++++++++.......++..",
"..+++...++++++++++++++++...+++..",
"..++++...++++++++++++++...++++..",
"..+++++...++++++++++++...+++++..",
"..++++++...++++++++++...++++++..",
"..+++++++...++++++++...+++++++..",
"..++++++++...++++++...++++++++..",
"..+++++++++...++++...+++++++++..",
"..++++++++++...++...++++++++++..",
"..+++++++++++......+++++++++++..",
"..++++++++++++....++++++++++++..",
"..+++++++++++++..+++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"................................",
"................................"};



/* XPM */
static char * arrow_left_xpm[] = {
"32 32 3 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"................................",
"................................",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..+++++++++++++++..+++++++++++..",
"..++++++++++++++...+++++++++++..",
"..+++++++++++++....+++++++++++..",
"..++++++++++++.....+++++++++++..",
"..+++++++++++...+..+++++++++++..",
"..++++++++++...++........+++++..",
"..+++++++++...+++........+++++..",
"..++++++++...++++++++++..+++++..",
"..+++++++...+++++++++++..+++++..",
"..++++++...++++++++++++..+++++..",
"..+++++...+++++++++++++..+++++..",
"..++++...++++++++++++++..+++++..",
"..++++...++++++++++++++..+++++..",
"..+++++...+++++++++++++..+++++..",
"..++++++...++++++++++++..+++++..",
"..+++++++...+++++++++++..+++++..",
"..++++++++...++++++++++..+++++..",
"..+++++++++...+++........+++++..",
"..++++++++++...++........+++++..",
"..+++++++++++...+..+++++++++++..",
"..++++++++++++.....+++++++++++..",
"..+++++++++++++....+++++++++++..",
"..++++++++++++++...+++++++++++..",
"..+++++++++++++++..+++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"................................",
"................................"};


/* XPM */
static char * arrow_right_xpm[] = {
"32 32 3 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"................................",
"................................",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..+++++++++++..+++++++++++++++..",
"..+++++++++++...++++++++++++++..",
"..+++++++++++....+++++++++++++..",
"..+++++++++++.....++++++++++++..",
"..+++++++++++..+...+++++++++++..",
"..+++++........++...++++++++++..",
"..+++++........+++...+++++++++..",
"..+++++..++++++++++...++++++++..",
"..+++++..+++++++++++...+++++++..",
"..+++++..++++++++++++...++++++..",
"..+++++..+++++++++++++...+++++..",
"..+++++..++++++++++++++...++++..",
"..+++++..++++++++++++++...++++..",
"..+++++..+++++++++++++...+++++..",
"..+++++..++++++++++++...++++++..",
"..+++++..+++++++++++...+++++++..",
"..+++++..++++++++++...++++++++..",
"..+++++........+++...+++++++++..",
"..+++++........++...++++++++++..",
"..+++++++++++..+...+++++++++++..",
"..+++++++++++.....++++++++++++..",
"..+++++++++++....+++++++++++++..",
"..+++++++++++...++++++++++++++..",
"..+++++++++++..+++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"................................",
"................................"};


/* XPM */
static char * autoscale_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  .......  ..........     . ..  ",
"  .......   ........   ..   ..  ",
"  ......    .......   ....  ..  ",
"  ...... .   ......   ..... ..  ",
"  .....  .   ......    .......  ",
"  ..... ...  .......     .....  ",
"  ....  ...   .......      ...  ",
"  .... .....  .........     ..  ",
"  ...          ..........   ..  ",
"  ... ......   .... ......  ..  ",
"  ..  .......   ...  .....  ..  ",
"  .. ........   ...   ...  ...  ",
"  .     ...      .. .     ....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * fitpage_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ........  ........  ...  ",
"  .... .......    .......  ...  ",
"  .... ...... .  . ......  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ... .......... ...  ...  ",
"  .... .. ............ ..  ...  ",
"  .... .     ......     .  ...  ",
"  .... .     ......     .  ...  ",
"  .... .. ............ ..  ...  ",
"  .... ... .......... ...  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ...... .  . ......  ...  ",
"  .... .......    .......  ...  ",
"  .... ........  ........  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  ....                     ...  ",
"  .....                    ...  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * fitpage_vert_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... .......    .......  ...  ",
"  .... ......      ......  ...  ",
"  .... .....  .  .  .....  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... .....  .  .  .....  ...  ",
"  .... ......      ......  ...  ",
"  .... .......    .......  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  ....                     ...  ",
"  .....                    ...  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * fitpage_horiz_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ... ........... ..  ...  ",
"  .... ..  ..........  ..  ...  ",
"  .... .  ............  .  ...  ",
"  .... .     ......     .  ...  ",
"  .... .     ......     .  ...  ",
"  .... .  ............  .  ...  ",
"  .... ..  ..........  ..  ...  ",
"  .... ... ........... ..  ...  ",
"  .... ... ........... ..  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  ....                     ...  ",
"  .....                    ...  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * rectangle_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  ....                    ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....                    ....  ",
"  ....                    ....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * ellipse_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ..........        ..........  ",
"  ........            ........  ",
"  ......    ........    ......  ",
"  .....   ............   .....  ",
"  .....  ..............  .....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  .....  ..............  .....  ",
"  .....   ............   .....  ",
"  ......    ........    ......  ",
"  ........            ........  ",
"  ..........        ..........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * line_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ...... .....................  ",
"  ....... ....................  ",
"  ........ ...................  ",
"   ........ ..................  ",
"  .... ..... .................  ",
"   .. ....... ................  ",
"     ......... ...............  ",
"     .......... ..............  ",
"      . ........ .............  ",
"  .    .... ..... ............  ",
"  ..    .. ....... ...........  ",
"  ...     ......... ..........  ",
"  ....    .......... .........  ",
"  .....    . ........ ........  ",
"  ......    .... ..... .......  ",
"  .......    .. ....... ......  ",
"  ........     ......... .....  ",
"  .........    .......... ....  ",
"  ..........    . ........ ...  ",
"  ...........    .... ..... ..  ",
"  ............ .. .. ....... .  ",
"  ................  .........   ",
"  ................. ..........  ",
"  .................. . .......  ",
"  ................... .... ...  ",
"  .................... .. ....  ",
"  .....................  .....  ",
"  ...................... .....  ",
"                                ",
"                                "};

/* XPM */
static char * linearrow_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  .....  .....................  ",
"  .....   ....................  ",
"  ......   ...................  ",
"  .......   ..................  ",
"  ........   .................  ",
"  .........   ................  ",
"  ..........   ...............  ",
"  ...........   ..............  ",
"  ............   .............  ",
"  .............   .. .........  ",
"  ..............     .........  ",
"  ...............     ........  ",
"  ...............     ........  ",
"  ..............       .......  ",
"  ................     .......  ",
"  ..................    ......  ",
"  ....................  ......  ",
"  ...................... .....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * rotate_y_xpm[] = {
"32 32 5 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"X	c #000000004924",
"o	c #FFFF00000000",
"O	c #8E3814511040",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ....................XX......  ",
"  ...................XXXX.....  ",
"  ...........ooooo..XXXX......  ",
"  ........oooooooooooXX.......  ",
"  .......oooooooooooooX.......  ",
"  ......ooooooooooooooo.......  ",
"  .....ooooooooooooooooo......  ",
"  .....ooo......oooooooo......  ",
"  ....oooO......XXooooooo.....  ",
"  ....ooOO.....XXXXoooooo.....  ",
"  ....oOOO....XXXX..ooooo..o..  ",
"  ....oOOO....XXX...ooooo.oo..  ",
"  ....OOO....XXXX....oooooo...  ",
"  ....OOO...XXXX.....oooooo...  ",
"  .....O.XXXXXX......ooooo....  ",
"  .......XXXXX.......ooooo....  ",
"  ......XXXXXX......ooooo.....  ",
"  ......XXXXXX......ooooo.....  ",
"  ......XXXXXX.....ooooo......  ",
"  .....XXXXXX.....oooooo......  ",
"  .....XXXX......oooooo.......  ",
"  .....XXX....................  ",
"  .....X......................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * rotate_x_xpm[] = {
"32 32 5 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"X	c #FFFF00000000",
"o	c #8E3814511040",
"O	c #000000004924",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ..............X.............  ",
"  ............XXXX............  ",
"  ..........XXXXXXX...........  ",
"  ........XXXXXXXXXX..........  ",
"  ......XXXXXXXXXXXXX.........  ",
"  ....XXXXXXXXXXXXXXXX........  ",
"  ........XXXXXXX.............  ",
"  .......XXXXXXX.....O........  ",
"  .......XXXXXXX.....OOO......  ",
"  .......XXXXXXX....OOOOOO....  ",
"  ..OOOOOXXXXXXXOOOOOOOOOOOO..  ",
"  ..OOOOOXXXXXXXOOOOOOOOOOOO..  ",
"  .......XXXXXXX....OOOOOO....  ",
"  .......XXXXXXX.....OOO......  ",
"  .......XXXXXXXX....O........  ",
"  ........XXXXXXX.............  ",
"  ........XXXXXXXXoooooooo....  ",
"  .........XXXXXXXXoooooo.....  ",
"  ..........XXXXXXXXXooo......  ",
"  ............XXXXXXXX........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * rotate_z_xpm[] = {
"32 32 5 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"X	c #000000004924",
"o	c #8E3814511040",
"O	c #FFFF00000000",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  .............XX.............  ",
"  .............XX.............  ",
"  ........o...XXXX............  ",
"  .......oo...XXXX............  ",
"  ......ooo..XXXXXX...........  ",
"  ......ooo..XXXXXX...........  ",
"  .....Oooo.XXXXXXXX.O........  ",
"  .....OOoo...XXXX...OO.......  ",
"  .....OOoo....XX....OOO......  ",
"  .....OOOo....XX....OOOO.....  ",
"  .....OOOO....XX....OOOOO....  ",
"  .....OOOOOO..XX...OOOOOOO...  ",
"  .....OOOOOOOOOOOOOOOOOOO....  ",
"  .....OOOOOOOOOOOOOOOOOOO....  ",
"  ......OOOOOOOOOOOOOOOOO.....  ",
"  ......OOOOOOOOOOOOOOOOO.....  ",
"  .......OOOOOOOOOOOOOOO......  ",
"  ........OOOOOOOOOOOOOO......  ",
"  ..........OOOOOOOO.OO.......  ",
"  .............XX....OO.......  ",
"  .............XX....O........  ",
"  .............XX....O........  ",
"  .............XX.............  ",
"  .............XX.............  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * reset_xpm[] = {
"32 32 4 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"X	c #000000004924",
"o	c #FFFF00000000",
"                                ",
"                                ",
"  ............................  ",
"  .....................   ....  ",
"  .............XX....... .....  ",
"  ...........XXXXXX....   ....  ",
"  .........XXXXXXXXXX.........  ",
"  .......XXXX..XX..XXXX.......  ",
"  .....XXXX....XX....XXXX.....  ",
"  ....XXX......XX......XXX....  ",
"  ....XX.......XX.......XX....  ",
"  ....XX.......XX.......XX....  ",
"  ....XX......oooo......XX....  ",
"  ....XX.....oooooo.....XX....  ",
"  ....XX....oo.XX.oo....XX....  ",
"  ....XX....oo.XX.oo....XX....  ",
"  ....XX....ooXXXXoo....XX....  ",
"  ....XX....ooXXXXoo....XX....  ",
"  ....XX..XXoo....ooXX..XX....  ",
"  ....XXXXXX.oooooo.XXXXXX....  ",
"  ....XXXX....oooo....XXXX....  ",
"  ....XXX..............XXX....  ",
"  .....XXXX..........XXXX.....  ",
"  .......XXXX......XXXX.......  ",
"  . . .....XXXX..XXXX... . ...  ",
"  .. ........XXXXXX...... ....  ",
"  . . .........XX........ ....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

